import request from '@/utils/request'

// 查询业务模型健康度指标明细列表
export function listIm(query) {
    return request({
        url: '/hl/im/list',
        method: 'get',
        params: query
    })
}

// 查询业务模型健康度指标明细详细
export function getIm(autoId) {
    return request({
        url: '/hl/im/' + autoId,
        method: 'get'
    })
}

// 新增业务模型健康度指标明细
export function addIm(data) {
    return request({
        url: '/hl/im',
        method: 'post',
        data: data
    })
}

// 修改业务模型健康度指标明细
export function updateIm(data) {
    return request({
        url: '/hl/im',
        method: 'put',
        data: data
    })
}

// 删除业务模型健康度指标明细
export function delIm(autoId) {
    return request({
        url: '/hl/im/' + autoId,
        method: 'delete'
    })
}
